Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties
tlp::ColorButton Class Reference

`#include <ColorButton.h>`

List of all members.

## Public Slots

- void setColor (const QColor &)

## Signals

- void colorChanged (const QColor &)

## Public Member Functions

- ColorButton (QWidget *parent=0)
- _DEPRECATED ColorButton (const QRgb &c, QWidget *parent=NULL, const char *name=NULL, Qt::WFlags f=0)
- ~ColorButton ()
- QColor color () const
- QRgb _DEPRECATED getColor () const

## Protected Slots

- void askColor ()

## Protected Member Functions

- void paintEvent (QPaintEvent *event)

## Properties

- QColor color

## Constructor & Destructor Documentation

tlp::ColorButton::ColorButton | ( | QWidget * | parent = `0` | ) |

_DEPRECATED tlp::ColorButton::ColorButton | ( | const QRgb & | c,
|  | QWidget * | parent = `NULL`,
|  | const char * | name = `NULL`,
|  | Qt::WFlags | f = `0`
| ) |  |

Use ColorButton instead.

tlp::ColorButton::~ColorButton | ( |  | ) |

## Member Function Documentation

void tlp::ColorButton::askColor | ( |  | ) | `[protected, slot]`

QColor tlp::ColorButton::color | ( |  | ) | const

void tlp::ColorButton::colorChanged | ( | const QColor & |  | ) | `[signal]`

QRgb _DEPRECATED tlp::ColorButton::getColor | ( |  | ) | const

Use color function instead

void tlp::ColorButton::paintEvent | ( | QPaintEvent * | event | ) | `[protected]`

void tlp::ColorButton::setColor | ( | const QColor & |  | ) | `[slot]`

## Property Documentation

QColor tlp::ColorButton::color`[read, write]`

Tulip Software by LaBRI Visualization Team 2001 - 2012